gl_cmap.h File Reference
/cmap

OpenGL float texture to color mapping. More...

`#include <stdint.h>`
`#include "gl_platform.h"`
Include dependency graph for gl_cmap.h:

Go to the source code of this file.

## Typedefs

typedef int(* | gl_cmap_gen_func_t) (uint32_t *rgba, int N, void *arg)

## Enumerations

enum | fosphor_gl_cmap_mode { GL_CMAP_MODE_NEAREST, GL_CMAP_MODE_BILINEAR, GL_CMAP_MODE_BICUBIC }

## Functions

struct fosphor_gl_cmap_ctx * | fosphor_gl_cmap_init (void)
void | fosphor_gl_cmap_release (struct fosphor_gl_cmap_ctx *cmap_ctx)
void | fosphor_gl_cmap_enable (struct fosphor_gl_cmap_ctx *cmap_ctx, GLuint tex_id, GLuint cmap_id, float scale, float offset, enum fosphor_gl_cmap_mode mode)
void | fosphor_gl_cmap_disable (void)
void | fosphor_gl_cmap_draw_scale (GLuint cmap_id, float x0, float x1, float y0, float y1)
int | fosphor_gl_cmap_generate (GLuint *cmap_id, gl_cmap_gen_func_t gfn, void *gfn_arg, int N)

## Detailed Description

OpenGL float texture to color mapping.